ZenLib

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
ZenLib::Format::Http::Handler Class Reference

`#include <Http_Handler.h>`

## Public Member Functions
| Handler ()

## Public Attributes
std::string | Path
std::map< std::string, std::string > | Request_Headers
std::map< std::string, std::string > | Request_Cookies
std::map< std::string, std::string > | Request_Queries
std::string | Foreign_IP
std::string | Local_IP
unsigned short | Foreign_Port
unsigned short | Local_Port
bool | HeadersOnly
size_t | Response_HTTP_Code
std::map< std::string, std::string > | Response_Headers
Cookies | Response_Cookies
std::string | Response_Body

## Constructor & Destructor Documentation

ZenLib::Format::Http::Handler::Handler | ( |  | ) |

## Member Data Documentation

std::string ZenLib::Format::Http::Handler::Foreign_IP

unsigned short ZenLib::Format::Http::Handler::Foreign_Port

bool ZenLib::Format::Http::Handler::HeadersOnly

std::string ZenLib::Format::Http::Handler::Local_IP

unsigned short ZenLib::Format::Http::Handler::Local_Port

std::string ZenLib::Format::Http::Handler::Path

std::map<std::string, std::string> ZenLib::Format::Http::Handler::Request_Cookies

std::map<std::string, std::string> ZenLib::Format::Http::Handler::Request_Headers

std::map<std::string, std::string> ZenLib::Format::Http::Handler::Request_Queries

std::string ZenLib::Format::Http::Handler::Response_Body

Cookies ZenLib::Format::Http::Handler::Response_Cookies

std::map<std::string, std::string> ZenLib::Format::Http::Handler::Response_Headers

size_t ZenLib::Format::Http::Handler::Response_HTTP_Code

The documentation for this class was generated from the following file:

- Http_Handler.h